import { computed, onUnmounted, ref } from '@vue/composition-api';
import { useStore } from "./useStore.js";
export const useSelector = select => {
  const {
    subscribe,
    getState
  } = useStore();
  const selector = ref(select(getState()));
  const unsubscribe = subscribe(() => {
    selector.value = select(getState());
  });
  onUnmounted(unsubscribe);
  return computed(() => selector.value);
};