import { inject } from '@vue/composition-api';
import { key } from "../install.js";
export const useStore = () => {
  const store = inject(key);
  assert(store, 'Warning: no redux store was provided.\n\nPlease provide store preferably with vue install\n\napp.use(VueReduxHooks, store)\n\nLearn more about vue-redux-hooks: https://github.com/PatrykWalach/vue-redux-hooks');
  return store;
};

function assert(condition, message) {
  if (!condition) {
    console.error(message);
  }
}